OracleSchemaDetail (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.oracle.OracleSchemaDetail interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.oracle
Interface OracleSchemaDetail

All Superinterfaces:
  LogicalContent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface OracleSchemaDetail

extends LogicalContent

Holds schema object definition

Naming Rules:
  0="parent"
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.LogicalContent
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getMetaData()`
`OracleDatabase` | `getParent()`
`boolean` | `hasMetaData()`
`boolean` | `hasParent()`
`void` | `setMetaData(java.lang.String metaData)`
`void` | `setParent(OracleDatabase parent)`

Methods inherited from interface com.collation.platform.model.topology.core.LogicalContent
`getChecksum, getConfigFile, getContent, getContentType, getFixedPath, getURI, hasChecksum, hasConfigFile, hasContent, hasContentType, hasFixedPath, hasURI, setChecksum, setConfigFile, setContent, setContentType, setFixedPath, setURI`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    OracleDatabase getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(OracleDatabase parent)

### hasParent

    boolean hasParent()

### getMetaData

    java.lang.String getMetaData()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMetaData

    void setMetaData(java.lang.String metaData)

### hasMetaData

    boolean hasMetaData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD